cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/orders/ORD-0001/custom_objects/co_4f1c9a2e7b3d4e6f8a0b1c2d3e4f5a6b" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.orders.get_order_custom_object(
"ORD-0001", "co_4f1c9a2e7b3d4e6f8a0b1c2d3e4f5a6b"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.orders.getOrderCustomObject('ORD-0001', 'co_4f1c9a2e7b3d4e6f8a0b1c2d3e4f5a6b');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->orders->getOrderCustomObject(
'ORD-0001',
'co_4f1c9a2e7b3d4e6f8a0b1c2d3e4f5a6b',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.orders.orders_dto.OrdersDto.OrderCustomObject;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<OrderCustomObject> response = client.orders().getOrderCustomObject(
"ORD-0001",
"co_4f1c9a2e7b3d4e6f8a0b1c2d3e4f5a6b");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Orders.GetOrderCustomObjectAsync(
"ORD-0001",
"co_4f1c9a2e7b3d4e6f8a0b1c2d3e4f5a6b");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.orders.getOrderCustomObject(
'ORD-0001',
'co_4f1c9a2e7b3d4e6f8a0b1c2d3e4f5a6b',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Orders().GetOrderCustomObject(context.Background(), "ORD-0001", "co_4f1c9a2e7b3d4e6f8a0b1c2d3e4f5a6b", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_object": {
"created_by": "<unknown>",
"created_on": "<string>",
"custom_component": "<unknown>",
"description": "<unknown>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"instances": "<array>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"relation": "<string>",
"use_in": "<string>"
}
}Orders
Retrieve an order's custom object
Returns one custom object with the order’s instances of it, under custom_object.
GET
/
orders
/
{order_id}
/
custom_objects
/
{custom_object_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/orders/ORD-0001/custom_objects/co_4f1c9a2e7b3d4e6f8a0b1c2d3e4f5a6b" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.orders.get_order_custom_object(
"ORD-0001", "co_4f1c9a2e7b3d4e6f8a0b1c2d3e4f5a6b"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.orders.getOrderCustomObject('ORD-0001', 'co_4f1c9a2e7b3d4e6f8a0b1c2d3e4f5a6b');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->orders->getOrderCustomObject(
'ORD-0001',
'co_4f1c9a2e7b3d4e6f8a0b1c2d3e4f5a6b',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.orders.orders_dto.OrdersDto.OrderCustomObject;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<OrderCustomObject> response = client.orders().getOrderCustomObject(
"ORD-0001",
"co_4f1c9a2e7b3d4e6f8a0b1c2d3e4f5a6b");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Orders.GetOrderCustomObjectAsync(
"ORD-0001",
"co_4f1c9a2e7b3d4e6f8a0b1c2d3e4f5a6b");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.orders.getOrderCustomObject(
'ORD-0001',
'co_4f1c9a2e7b3d4e6f8a0b1c2d3e4f5a6b',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Orders().GetOrderCustomObject(context.Background(), "ORD-0001", "co_4f1c9a2e7b3d4e6f8a0b1c2d3e4f5a6b", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_object": {
"created_by": "<unknown>",
"created_on": "<string>",
"custom_component": "<unknown>",
"description": "<unknown>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"instances": "<array>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"relation": "<string>",
"use_in": "<string>"
}
}Pass the order’s
id and the custom object’s id. The order’s instances of the object are under instances; an order with none returns an empty list.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The order's id, as GET /orders lists it.
The custom object's id, which starts with co_.
Response
200 - application/json
The custom object, under custom_object.
Show child attributes
Show child attributes